Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class OptionModelImpl

    java.lang.Object
      org.apache.tapestry5.AbstractOptionModel
          org.apache.tapestry5.internal.OptionModelImpl

All Implemented Interfaces:
  OptionModel

    public class OptionModelImpl

extends AbstractOptionModel

Constructor Summary
`OptionModelImpl(java.lang.String value)` Constructor for when the value and the label are the same.
`OptionModelImpl(java.lang.String label, java.lang.Object value)`

Method Summary
`java.lang.String` | `getLabel()` The localized, user-presentable label for the option.
`java.lang.Object` | `getValue()` The server-side value represented by this option.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tapestry5.AbstractOptionModel
`getAttributes, isDisabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionModelImpl

    public OptionModelImpl(java.lang.String value)

  Constructor for when the value and the label are the same.

### OptionModelImpl

    public OptionModelImpl(java.lang.String label,
                           java.lang.Object value)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `OptionModel`
  The localized, user-presentable label for the option.

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `OptionModel`
  The server-side value represented by this option. This is used to determine which option will be selected. It is also used, via `ValueEncoder.toClient(Object)`, to generate the client-side value attribute.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.